/*
 * Copyright 2023 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(header_packet_ofdm_id.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(7ff4557a512bb3e9aaa3838ae456e411)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/channel_monitoring/header_packet_ofdm_id.h>
// pydoc.h is automatically generated in the build directory
#include <header_packet_ofdm_id_pydoc.h>

void bind_header_packet_ofdm_id(py::module& m)
{

    using header_packet_ofdm_id    = gr::channel_monitoring::header_packet_ofdm_id;


    py::class_<header_packet_ofdm_id, gr::,
        std::shared_ptr<header_packet_ofdm_id>>(m, "header_packet_ofdm_id", D(header_packet_ofdm_id))

        .def(py::init(&header_packet_ofdm_id::make),
           D(header_packet_ofdm_id,make)
        )
        



        ;




}








